#!/bin/bash
#
# This script copies DB2, LDAP and WAS installation log files from 
# c:\Program Files\ibm\pics\logs to PreReq_Installation_Logs directory which 
# is under under tpm_install directory

PICS_LOGS="/cygdrive/c/Program Files/ibm/pics/logs"

if [ -d ./PreReq_Installation_Logs ]
then
    echo "PreReq_Installation_Logs Directory already exists, delete all its content"
    rm -rf ./PreReq_Installation_Logs/*
else
    echo "PreReq_Installation_Logs Directory does not exist, create this directory"
    mkdir PreReq_Installation_Logs
fi

cd PreReq_Installation_Logs
if [ -d "$PICS_LOGS" ]; then
   echo "Copying Pics Installation logs from "$PICS_LOGS" to "$INSTALL_HOME"/PreReq_Installation_Logs directory..."
   cp -r "$PICS_LOGS"/ .

else
   echo "/cygdrive/c/Program Files/ibm/pics/logs directory does not exist."
fi
