#!/usr/bin/env bash

# -----------------------------------------------------------------
# Licensed Materials - Property of IBM
# 5724-F75
# (C) Copyright IBM Corp.  2003, 2004
# All Rights Reserved
# US Government Users Restricted Rights -Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# -----------------------------------------------------------------

exec_result=$(net "$1" "$2" 2>&1)
if [ $? -ne 0 ]; then
	help_code_full=$(printf "$exec_result" | grep HELPMSG)
	help_code_left=${help_code_full##*HELPMSG }
	help_code=${help_code_left%% *}	
		if [ "$help_code" = "" ]; then
			help_code=1111
		fi
		if [ ${help_code%\.*} -ne 2182 -a ${help_code%\.*} -ne 3521 ]; then
			printf "\n\nError ${1}ing the \"$2\" service\n\n"
			exit 101
		fi
fi