#!/usr/bin/env bash

# -----------------------------------------------------------------
# Licensed Materials - Property of IBM
# 5724-F75
# (C) Copyright IBM Corp.  2003, 2004
# All Rights Reserved
# US Government Users Restricted Rights -Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# -----------------------------------------------------------------

regset() {

reg ADD HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\Windows\ NT\\CurrentVersion\\Winlogon /v DefaultUserName  /d $1
if [ $? -ne 0 ]; then
	printf "%%REGEDIT : Error creating system default login for user $1\n\n"
	exit 101 
fi

reg ADD HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\Windows\ NT\\CurrentVersion\\Winlogon /v DefaultPassword  /d $2
if [ $? -ne 0 ]; then
	printf "%%REGEDIT : Error setting system default login password user $1\n\n"
	exit 101 
fi
}

regset tioadmin #######

